#!/usr/bin/env ruby
#-*- coding: utf-8 -*-

hankei=100
puts("何回実行しますか？")
sousu = gets.chomp.to_i
kaisu = 0

i = sousu

while i > 0

  x = Random.rand * hankei
  y =  Random.rand * hankei

  
  if x * x + y * y  <= hankei * hankei  
      kaisu = kaisu + 1
  end
                                      
  
 i = i - 1
end
printf("ヒットした数/実行した数 %d/%d\n",kaisu,sousu)
pai = (4.0 * kaisu.to_f / sousu.to_f).to_f

printf("円周率 = %.20f\n",pai)











